#!/bin/sh

TESTRTDIR=$1

if [ -s $TESTRTDIR/testrtinit.sh ]
then
. $TESTRTDIR/testrtinit.sh
else
  echo $TESTRTDIR/testrtinit.sh not found
  exit
fi
if [ "$2" = "local" ]
then
  echo TDP generation in current directory
else
  cd  $TESTRTDIR/targets
fi
TARGETS=`pwd`

echo "Generating adagnat TDP"
TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/tdpgen.pl $TESTRTDIR/targets/xml/adagnat.xdp $TARGETS
#echo "Generating adaunxapex TDP"
#TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/tdpgen.pl $TESTRTDIR/targets/xml/adaunxapex.xdp $TARGETS

#echo "Generating cunxdiabsgstep TDP"
#TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/tdpgen.pl $TESTRTDIR/targets/xml/cunxdiabsgstep.xdp $TARGETS

rm log_gcc_configuration.log  2>/dev/null
which gcc > log_gcc_configuration.log 2>&1
which g++ >> log_gcc_configuration.log 2>&1
grep no log_gcc_configuration.log
RETURN_CODE=$?
#if gcc found the Return_code value is 1

if [ $RETURN_CODE -eq 1 ]
then
#gcc found

  TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/ConfigureGcc.pl -silent $TARGETS
# if the machine is 64bits machine ConfigureGcc.pl generate the TDP accordingly

else
  echo "gcc not found. Please start ConfigureGcc.sh manually." >> log_gcc_configuration.log
  echo "gcc not found. Please start ConfigureGcc.sh manually."

fi

if [ `uname` = "Linux" ]
then
#        echo    generate the clinuxgnu for compatiility with older versions and attolcc usage
        TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/tdpgen.pl $TARGETS/xml/clinuxgnu.xdp $TARGETS
fi
if [ `uname` = "SunOS" ]
then
        echo "Generating csolaris TDP"
        TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/tdpgen.pl $TESTRTDIR/targets/xml/csolaris.xdp $TARGETS

        echo "Generating csolaris6 TDP"
        TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/tdpgen.pl $TESTRTDIR/targets/xml/csolaris6.xdp $TARGETS

#       echo generate the csolgnu for compatiility with older versions and attolcc usage
        TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/tdpgen.pl $TESTRTDIR/targets/xml/csolgnu.xdp $TARGETS

if [ ! -z "$WIND_BASE" ] # This env variable exist so generation of the following TDP
then
        echo "Generating colvxsim TDP"
        TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/tdpgen.pl $TESTRTDIR/targets/xml/csolvxsim.xdp $TARGETS
        echo "Generating csolvxppc TDP"
        TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/tdpgen.pl $TESTRTDIR/targets/xml/csolvxppc.xdp $TARGETS
        echo "Generating csolvx386 TDP"
        TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/tdpgen.pl $TESTRTDIR/targets/xml/csolvx386.xdp $TARGETS
fi

fi

if [ `uname` = "AIX" ]
then
        echo "Generating caix TDP"
        TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/tdpgen.pl $TESTRTDIR/targets/xml/caix.xdp $TARGETS

#       echo generate the caixgnu for compatiility with older versions and attolcc usage
        TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/tdpgen.pl $TESTRTDIR/targets/xml/caixgnu.xdp $TARGETS
fi


cd $TESTRTDIR

